﻿<style type="text/css">
.lbg_subtitle {color:#21759b;
	font-weight:bold;
	font-size:14px;
}
.regGray {	font-weight:normal;
	color:#555555;
}
.regb {	font-weight:bold;
}
</style>
<div class="wrap">
<div id="lbg_logo">
			<h2>Help</h2>
  </div>
<p>This plugin requires at least WordPress 3.0</p>
<ul class="lbg_list-1">
  <li><a href="#videotutorials">Video Tutorials</a></li>
  <li><a href="#manage">Manage Players</a></li>
  <li><a href="#settings">Player Settings</a></li>
  <li><a href="#shoutcast">Shoutcast and Iceast Link Structure</a></li>
  <li><a href="#shortcode">ShortCode</a></li>
  <li><a href="#facebook_share">Facebook Share</a></li>
  <li>.<a href="#htaccess">htaccess</a></li>
</ul>
<p>&nbsp;</p>
<p><span class="lbg_subtitle"><a name="videotutorials" id="videotutorials"></a>Video Tutorials</span></p>
<p>How to install and use the plugin - <a href="https://www.youtube.com/watch?v=ZbtTRqZJqqg" target="_blank">https://www.youtube.com/watch?v=ZbtTRqZJqqg</a><br />
</p>
<p>&nbsp;</p>
<p class="lbg_subtitle"><a name="manage" id="manage"></a>Manage Players</p>
<p class="">From this section you can:<br />
- add a new player <br />
- select the player you want to edit by clicking &quot;Player Settings&quot;<br />
- duplicate and existing player by clicking &quot;Duplicate&quot;<br />
- delete an existing player by clicking &quot;Delete&quot;
</p>
<p class="">&nbsp;</p>
<p class="lbg_subtitle"><a name="settings" id="settings"></a>Player Settings</p>
<p>From this section you can define the radio player  settings.</p>
<table class="wp-list-table widefat fixed pages" cellspacing="0">
	  <tr>
	    <td align="left" valign="top" bgcolor="#CCCCCC" class="row-title" width="25%">Attribute</td>
	    <td align="left" valign="top" bgcolor="#CCCCCC" class="row-title" width="75%">Description</td>
	  </tr>
	  <tr>
	    <td colspan="2" align="left" valign="top"><span class="regGray">General settings</span></td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Radio Stream Link</td>
	    <td align="left" valign="top">The radio stream you want to play. Please check <a href="#shoutcast">Shoutcast and Iceast link structure</a> section for additional details.</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Radio Name</td>
	    <td align="left" valign="top">The radio station name</td>
	  </tr>
		<tr>
			<td width="16%" align="left" valign="top" class="row-title">Url custom metadata file ( OPTIONAL )</td>
			<td width="69%" align="left" valign="top">in the case your radio server doesn't offer a standard location for the metadata file, you can add the direct url to your radio stream metadata file here.</td>
		</tr>
		<tr>
			<td width="16%" align="left" valign="top" class="row-title">Metadata File Type ( OPTIONAL )</td>
			<td width="69%" align="left" valign="top">in the case you've set an url for 'Url custom metadata file ( OPTIONAL )' parameter you need to also define it's type. This parameeter can take these values:<br>
	- default<br>
	- stats?sid=1<br>
	- 7.html<br>
	- status-json.xsl<br>
	- status.xsl</td>
		</tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Skin Name</td>
	    <td align="left" valign="top">The audio player comes with 2 predefined controllers skins (white and black). By controllers we understand  play, pause, volume,   facebook, twitter, show/hide playlist buttons. These buttons are saved as .png images. If you need another color for these controllers, you have the PSD files included and you can save over one skin, the controllers with another color.
	      <p>Possible values:<br />
	        - whiteControllers<br />
	    - blackControllers</p></td>
	  </tr>
		<tr>
	    <td align="left" valign="top" class="row-title">Buttons Off State Color</td>
	    <td align="left" valign="top">Buttons OFF state color (hexa) </td>
	  </tr>
		<tr>
	    <td align="left" valign="top" class="row-title">Buttons On State Color</td>
	    <td align="left" valign="top">Buttons ON state color (hexa) </td>
	  </tr>

	  <tr>
	    <td align="left" valign="top" class="row-title">Responsive</td>
	    <td align="left" valign="top">Possible values: <br />
	      <strong>true</strong> - the player will responsive<br />
	      <strong>false</strong> - the player will not be responsive</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Player Width</td>
	    <td align="left" valign="top">player width</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Image Height</td>
	    <td align="left" valign="top">top image height. For image width it will use '<span class="regb">playerWidth</span>' parameter</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Auto Play</td>
	    <td align="left" valign="top">Possible values: <br />
	      <strong>true</strong> - autoplays audio file<br />
	      <strong>false</strong> - doesn't autoplay audio file</td>
	  </tr>
		<tr>
	    <td align="left" valign="top" class="row-title">Center Title</td>
	    <td align="left" valign="top">Possible values: <br />
	      <strong>true</strong> - the song title & author name will be displayed in the middle of the player, centered.<br />
	      <strong>false</strong> - the song title & author name will be left aligned, above the play button.</td>
	  </tr>
		<tr>
	    <td align="left" valign="top" class="row-title">Player Loading Delay</td>
	    <td align="left" valign="top">The timeout delay (in seconds) for player loading</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Song Title - Text Color</td>
	    <td align="left" valign="top">Song Title text area color (hexa)</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Author Title - Text Color</td>
	    <td align="left" valign="top">Song Author text area color (hexa)</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Line Separator Color</td>
	    <td align="left" valign="top">The line separator between the song title and song author (hexa or transparent)</td>
	  </tr>
		<tr>
	    <td align="left" valign="top" class="row-title">Line Separator Alpha</td>
	    <td align="left" valign="top">The line separator opacity. The value is between 0-100</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Radio Station Color</td>
	    <td align="left" valign="top">Radio name text area color (hexa) </td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Background Color Beneath Song Title</td>
	    <td align="left" valign="top">The color  (hexa) of the frame behind song title and song author (For minimized version only)</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Background Image Beneath Song Title</td>
	    <td align="left" valign="top">If an image will be added the 'Background Color Beneath Song Title' will be ignored</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Player Border Size</td>
	    <td align="left" valign="top">The size for entire player border (including history area)</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Player Border Color</td>
	    <td align="left" valign="top">The player border color (hexa)</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Sticky</td>
	    <td align="left" valign="top">Possible values: <br />
	      <strong>true</strong> - the radio player will be positioned on the right-bottom corner beeing fixed while the page scrolls<br />
	      <strong>false</strong> - the radio player will NOT be sticky and it will behave like any other element on the page.</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Activate For Footer</td>
	    <td align="left" valign="top">Possible values: <br />
	      <strong>true</strong> - the player will be added in the website footer and it will be present on all pages.  If you set this parameter true you also need to set Sticky:true<br />
	      <strong>false</strong> - the player will be added in the website footer and it will be present only on the pages where the shortcode has been added</td>
	  </tr>
		<tr>
	    <td align="left" valign="top" class="row-title">Start Minified</td>
	    <td align="left" valign="top">Possible values: <br />
	      <strong>true</strong> - the radio player start with large image hidden. If you set this parameter true you also need to set Sticky:true<br />
	      <strong>false</strong> - the radio player will start with large image visible.</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Show Song Title & Author</td>
	    <td align="left" valign="top">Possible values: <br />
	      <strong>true</strong> - current playing song & author will appear<br />
	      <strong>false</strong> - current playing song & author will not appear</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Center Player</td>
	    <td align="left" valign="top">Possible values: <br />
	      <strong>true</strong> - the radio player will be centered in your layout containing div<br />
	      <strong>false</strong> - the radio player will be centered</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Facebook App ID</td>
	    <td align="left" valign="top">FaceBook AppID. Please check <a href="#facebook_share">Facebook Share</a> section, for more informations</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Facebook Share Title</td>
	    <td align="left" valign="top">The title which will appear on FaceBook share. Please check <a href="#facebook_share">Facebook Share</a> section, for more informations</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Facebook Share Description</td>
	    <td align="left" valign="top">The description which will appear on FaceBook share. Please check <a href="#facebook_share">Facebook Share</a> section, for more informations</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Facebook Share Image</td>
	    <td align="left" valign="top">The image which will appear on FaceBook share. Please check <a href="#facebook_share">Facebook Share</a> section, for more informations</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Refresh Interval for Now-Playing Info</td>
	    <td align="left" valign="top">The calling interval (in seconds) for the file which reads the current playing song</td>
	  </tr>
  <tr>
    <td align="left" valign="top" class="row-title">Use The Original Upper&LowerCase for Song & Author As It Is In the Radio Metadata file</td>
		<td align="left" valign="top">Possible values: <br />
			<strong>true</strong> - the current playing song title and author letters will be displayed as they come from the metadata file<br />
			<strong>false</strong> - the current playing song title will have text-transform:uppercase and author will have text-transform:capitalize</td>
		</tr>
  </tr>
		<tr>
			<td align="left" valign="top" class="row-title">Show Bio Button</td>
			<td align="left" valign="top">Possible values: <br />
				<strong>true</strong> - the bio button will appear<br />
			<strong>false</strong> - the bio button will not appear</td>
		</tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Translate Bio</td>
	    <td align="left" valign="top">You can translate "Bio" in your own language (if needed)</td>
	  </tr>
	<tr>
	    <td align="left" valign="top" class="row-title">Bio Text Color</td>
	    <td align="left" valign="top">The bio title color (hexa)</td>
	  </tr>

	  <tr>
	    <td align="left" valign="top" class="row-title">Grab Artist Photo</td>
	    <td align="left" valign="top">Possible values: <br />
	      <strong>true</strong> - it will grab the artist photo<br />
	    <strong>false</strong> - it will always use the image specified by '<span class="regb">noImageAvailable</span>' parameter</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">No Image Available</td>
	    <td align="left" valign="top">The path to 'No Image Available' image which will appear when there's no image found in the database</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Texture Over Artist Image</td>
	    <td align="left" valign="top">A texture added over the artist image so that the song title and artist name would be more visible</td>
	  </tr>

	  <tr>
	    <td align="left" valign="top" class="row-title">&nbsp;</td>
	    <td align="left" valign="top">&nbsp;</td>
	  </tr>
	  <tr>
	    <td colspan="2" align="left" valign="top" class="regGray">Controllers Settings: Show/Hide buttons &amp; elements</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Show Volume</td>
	    <td align="left" valign="top">Possible values: <br />
	      <strong>true</strong> - volume button will appear<br />
	      <strong>false</strong> -volume button will not appear</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Show Facebook But</td>
	    <td align="left" valign="top">Possible values: <br />
	      <strong>true</strong> - facebook button will appear<br />
	    <strong>false</strong> - facebook button will not appear</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Show Twitter But</td>
	    <td align="left" valign="top">Possible values: <br />
	      <strong>true</strong> - twitter button will appear<br />
	    <strong>false</strong> - twitter button will not appear</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Show Radio Station</td>
	    <td align="left" valign="top">Possible values: <br />
	      <strong>true</strong> - radio station  name will appear<br />
	    <strong>false</strong> - radio station  name will not appear</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Show Title</td>
	    <td align="left" valign="top">Possible values: <br />
	      <strong>true</strong> - current playing song will appear<br />
	    <strong>false</strong> - current playing song will appear</td>
	  </tr>

	  <tr>
	    <td align="left" valign="top" class="row-title">&nbsp;</td>
	    <td align="left" valign="top">&nbsp;</td>
	  </tr>
	  <tr>
	    <td colspan="2" align="left" valign="top" class="regGray">History  Settings</td>
	  </tr>
		<tr>
	    <td align="left" valign="top" class="row-title">Show History But</td>
	    <td align="left" valign="top">Possible values: <br />
	      <strong>true</strong> - show/hide history button will appear<br />
	      <strong>false</strong> - show/hide history  button will not appear</td>
	  </tr>

	  <tr>
	    <td align="left" valign="top" class="row-title">Translate Reading Data</td>
	    <td align="left" valign="top">You can translate &quot;reading history...&quot; in your own language (if needed)</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">History Translate</td>
	    <td align="left" valign="top">You can translate &quot;HISTORY - latest played songs&quot;  in your own language (if needed)</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">History Title Color</td>
	    <td align="left" valign="top">history title color (hexa)</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">History Bg Color</td>
	    <td align="left" valign="top">history background color (hexa)</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">History Record Bg Color</td>
	    <td align="left" valign="top">history item background color (hexa) </td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">History Record Bottom Border Color</td>
	    <td align="left" valign="top">history item bottom border color (hexa) </td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">History Record Song Color</td>
	    <td align="left" valign="top">history item song title color (hexa) </td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">History Record Autho rColor</td>
	    <td align="left" valign="top">history item song author color (hexa) </td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">History Record Song Bottom Border Color</td>
	    <td align="left" valign="top">history item line color between the song title and song author  (hexa) </td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">Number Of Thumbs Per Screen</td>
	    <td align="left" valign="top">Number of items shown in the history. You'll have to scroll to see the rest</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">History Padding</td>
	    <td align="left" valign="top">history inner padding</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">History Record Title Limit</td>
	    <td align="left" valign="top">The history record title characters limit. All the other characters will be remoeved and replaced with ...</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">History Record Author Limit</td>
	    <td align="left" valign="top">The history record author characters limit. All the other characters will be remoeved and replaced with ...</td>
	  </tr>
	  <tr>
	    <td align="left" valign="top" class="row-title">&nbsp;</td>
	    <td align="left" valign="top">&nbsp;</td>
	  </tr>
</table>
<p>&nbsp;</p>

<p><span class="lbg_subtitle"><a name="shoutcast" id="shoutcast"></a>Shoutcast and Iceast Link Structure</span></p>
<p><strong>- <u>SHOUTCAST LINK</u></strong></p>
<p>http://[domain]:[port] OR</p>
<p>http://[ip]:[port]</p>
<p>Ex: http://83.169.60.45:80</p>
<p><strong>IMPORTANT:</strong> For the vast majority of the shoutcast streams, try appending &quot;/;&quot; to the stream so it looks like this:</p>
<p>http://[ip]:[port]/;</p>
<p>Ex: http://83.169.60.45:80/;</p>
<p><strong>- <u>ICECAST LINK</u></strong></p>
<p>http://[domain]:[port]/mountpoint</p>
<p>Ex: http://87.230.59.20:80/iloveradio2.mp3</p>
<p>&nbsp;</p>
<p><strong>- <u>RADIONOMY LINK</u></strong></p>
<p>For radio hosted by radionomy.com, the link looks like this: http://streaming.radionomy.com/ABC-Piano</p>
<p>Due to the fact that the IP is unknown, the player can't access current playing song name and artist photo. It will play it and it will display the radio name.</p>
<p>&nbsp;</p>
<p><strong>NOTE:</strong> Radio Stream should be MP3 type, no support for AAC/AAC+ stream</p>
<p>&nbsp;</p>
<p><span class="lbg_subtitle"><a name="shortcode" id="shortcode"></a>ShortCode</span></p>
<p>The shortcode is: <br />
[lbg_audio9_html5_shoutcast settings_id='1']<br />
where <br />
 settings_id is the player ID defined in &quot;Manage Players&quot; section</p>
<p>&nbsp;</p>
<p><span class="lbg_subtitle"><a name="facebook_share" id="facebook_share"></a>FaceBook Share</span></p>
<p>In order for the Facebook share button to work you need to obtain a Facebook Application ID</p>
<p>1. Go to the <a href="https://developers.facebook.com/apps" target="_blank">Facebook Developers Apps page</a> and and sign in with your Facebook username and password.</p>
<p>2. Click the &quot;Create New App&quot; button.</p>
<p><i>If you do not see the option to create a new app in the upper right hand corner, click on &quot;Register as Developer.&quot;</i> </p>
<p>3. After that you'll obtain an 'App ID' which you'll edit <span class="regb">Facebook App ID</span> parameter from 'Player Settings' page</p>
<p>4. Go to Settings tab (left area),  select 'Website' and insert your website URL</p>
<p><img src="<?php echo plugins_url('images/facebookAppId.jpg', dirname(__FILE__))?>" width="1600" height="859" alt="facebook appid" /></p>
<p>5. Go to App Review and set 'YES' for 'Do you want to make this app and all its live features available to the general public?'</p>
<p><img src="<?php echo plugins_url('images/status_and_review.jpg', dirname(__FILE__))?>" width="1600" height="858" alt="status and review" /></p>
<p>6. To personalize more the share content you can use <span class="regb">facebookShareTitle</span> and <span class="regb">facebookShareDescription</span> parameters when you initialize the player. Please check <a href="#settings">Player Settings</a> section, to see all available parameters</p>

<p>&nbsp;</p>
</div>
